Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer.ControlServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              ix.util.http.HttpObjectServlet
                  ix.util.http.HttpStringServlet
                      ix.iserve.ipc.IServeCommServer.ControlServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  IServeCommServer

     class IServeCommServer.ControlServlet

extends HttpStringServlet

Provides a "control" page for the server. It is similar to the "status" page but provides commands that can affect users in various ways.

Field Summary

Fields inherited from class ix.util.http.HttpObjectServlet
`responseCharsetName, responseContentType, util`

Constructor Summary
`IServeCommServer.ControlServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected java.lang.String` | `handleRequest(javax.servlet.http.HttpServletRequest req, java.lang.String content)`
`protected java.lang.String` | `readRequest(javax.servlet.http.HttpServletRequest req)` Utility method that reads the request's contents and returns it as a string.

Methods inherited from class ix.util.http.HttpStringServlet
`decodeReceived, encodeForSend, handleRequest, main`

Methods inherited from class ix.util.http.HttpObjectServlet
`describeRequest, doPost, sendResponse, setResponseCharsetName, setResponseContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IServeCommServer.ControlServlet

    IServeCommServer.ControlServlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse resp)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### readRequest

    protected java.lang.String readRequest(javax.servlet.http.HttpServletRequest req)

  Description copied from class: `HttpObjectServlet`
  Utility method that reads the request's contents and returns it as a string.

  Overrides:
    `readRequest` in class `HttpObjectServlet`

### handleRequest

    protected java.lang.String handleRequest(javax.servlet.http.HttpServletRequest req,
                                             java.lang.String content)
                                      throws HttpRequestException

  Specified by:
    `handleRequest` in class `HttpStringServlet`
  Throws:
    `HttpRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD